package com.rjconsultores.ventaboletos.enums;

public enum FuncionSistemaEnum {

	FUNCION_COBRANCA_ADICIONAL("COM.RJCONSULTORES.ADMINISTRACION.PUNTOVENTA.COBRANCAADICIONAL"),
	PAINEL_VENDA_EMBARCADA("COM.RJCONSULTORES.ADMINISTRACION.GUI.SEGURIDAD.MENU.PAINELVENDAEMBARCADA");


	private String valor;



	public String getValor() {
		return valor;
	}


	public void setValor(String valor) {
		this.valor = valor;
	}

	private FuncionSistemaEnum(String valor) {
		this.valor = valor;
	}


	public static FuncionSistemaEnum getFuncionSistema(String funcionSistema) {
		for (FuncionSistemaEnum funcionSistemaEnum : FuncionSistemaEnum.values()) {
			if (funcionSistemaEnum.getValor().equals(funcionSistema)) {
				return funcionSistemaEnum;
			}
		}
		return null;
	}

}
